Search inbox items
curl --request POST \
--url https://app.govly.com/api/tools/v1/inbox_items/search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"query": "<string>",
"cursor": "<string>",
"perPage": 25,
"state": [],
"matchableType": [],
"recordType": [
"<string>"
],
"naicsCodes": [
"<string>"
],
"createdAfter": "<string>",
"createdBefore": "<string>",
"deadlineAtFrom": "<string>",
"deadlineAtTo": "<string>"
}
'import requests
url = "https://app.govly.com/api/tools/v1/inbox_items/search"
payload = {
"query": "<string>",
"cursor": "<string>",
"perPage": 25,
"state": [],
"matchableType": [],
"recordType": ["<string>"],
"naicsCodes": ["<string>"],
"createdAfter": "<string>",
"createdBefore": "<string>",
"deadlineAtFrom": "<string>",
"deadlineAtTo": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
query: '<string>',
cursor: '<string>',
perPage: 25,
state: [],
matchableType: [],
recordType: ['<string>'],
naicsCodes: ['<string>'],
createdAfter: '<string>',
createdBefore: '<string>',
deadlineAtFrom: '<string>',
deadlineAtTo: '<string>'
})
};
fetch('https://app.govly.com/api/tools/v1/inbox_items/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"matchableId": "<string>",
"origins": [
{
"savedSearchId": "<string>",
"savedSearchName": "<string>"
}
],
"title": "<string>",
"description": "<string>",
"fitReason": "<string>",
"fitScore": 123,
"identifier": "<string>",
"recordType": "<string>",
"deadlineAt": "2023-11-07T05:31:56Z",
"postedOrAwardedDate": "2023-12-25",
"publicEntityNames": [
"<string>"
],
"isoCode": "<string>",
"naicsCodes": [
"<string>"
],
"createdAt": "2023-11-07T05:31:56Z",
"highlight": {}
}
],
"meta": {
"total": 123,
"nextCursor": "<string>"
},
"aggregations": {
"matchableType": {}
}
}{
"errors": [
{
"status": "<string>",
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>"
}
}
]
}{
"errors": [
{
"status": "<string>",
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>"
}
}
]
}{
"errors": [
{
"status": "<string>",
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>"
}
}
]
}{
"errors": [
{
"status": "<string>",
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>"
}
}
]
}Inbox
Search inbox items
Full-text search and filter the authenticated user’s inbox items. Returns matchable-type aggregation counts.
POST
/
api
/
tools
/
v1
/
inbox_items
/
search
Search inbox items
Authorizations
bearerApiKeyheaderApiKey
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Opaque cursor from the previous response's meta.nextCursor. Omit for the first page.
Required range:
x <= 100Available options:
ranked_score, created_at, deadline_at Available options:
asc, desc Available options:
unread, seen, actioned, dismissed Available options:
Opp, Award, ProcurementSignal::Cluster Available options:
govly_ai, saved_search Was this page helpful?
⌘I